<?php

namespace Drupal\monarch_symlink\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\menu_link_content\Form\MenuLinkContentForm;

/**
 * Provides a from to add/update menu symlinks.
 */
class MenuRedirectForm extends MenuLinkContentForm {

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $redirect = $this->getEntity();
    $result = $redirect->save();

    $this->messenger()->addStatus($this->t('The menu redirect has been saved.'));
    $form_state->setRedirect('entity.menu_redirect.canonical', ['menu_redirect' => $redirect->id()]);
  }

}
