<?php

namespace Drupal\monarch_symlink\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\menu_link_content\Form\MenuLinkContentForm;

/**
 * Provides a from to add/update menu symlinks.
 */
class SymlinkForm extends MenuLinkContentForm {

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $symlink = $this->getEntity();
    $result = $symlink->save();

    $this->messenger()->addStatus($this->t('The menu symlink has been saved.'));
    $form_state->setRedirect('entity.symlink.canonical', ['symlink' => $symlink->id()]);
  }

}
